// pages/volunteer/volunteer.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: '',
    dataMap: [],
    type: '1'
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  myjoinActivity: function() {
    var self = this;
    app.restAjax.get(app.restAjax.path(app.activityUrl + '/app/activityuserapply/myjoinactivity', []), 
        {}, {
          headers: {
            token: self.data.token
          }
        }, function(code, data) {
          if('200' == code) {
            console.log(data)
            self.setData({
              dataMap: data.rows
            })
          }
      }, function() {

      }, function() {
        
      })
  },
  /**
   * 
   * @param {查看活动详情} e 
   */
  activityDetail: function(e) {
    var id = e.currentTarget.dataset.activityid;
    wx.navigateTo({
      url: '../activityDetail/activityDetail?id=' + id
    })
  },
  /**
   * 
   * @param {取消报名} e 
   */
  cancelApply: function(e) {
    var applyId = e.currentTarget.dataset.applyid;
    var activityId = e.currentTarget.dataset.activityid;
    wx.showModal({
      title: '提示',
      content: '确定要退出吗？',
      success: function (sm) {
        if (sm.confirm) {
          app.restAjax.get(app.restAjax.path(app.activityUrl + '/app/activityuserapply/cancelapply/' + activityId + '/' + applyId, []), 
          {}, {
            headers: {
              token: self.data.token
            }
          }, function(code, data) {
              if('200' == code) {
                self.onLoad()
              }
          }, function() {
    
          }, function() {
            
          })
          } else if (sm.cancel) {
            
          }
        }
      })
    var self = this;
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getToken().then(result => {
      this.myjoinActivity();
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})